libzypp: zypp::exception_detail::CodeLocation Struct Reference

libzypp 17.38.14

zypp::exception_detail::CodeLocation Struct Reference

Keep FILE, FUNCTION and LINE. More...

`#include <zypp-core/base/Exception.h>`

## Public Member Functions
| CodeLocation ()
| Ctor.
| ~CodeLocation ()=default
| CodeLocation (const CodeLocation &)=default
| CodeLocation (CodeLocation &&)=default
CodeLocation & | operator= (const CodeLocation &)=default
CodeLocation & | operator= (CodeLocation &&)=default
| CodeLocation (std::string file_r, std::string func_r, unsigned line_r)
| Ctor.
std::string | asString () const
| Location as string.

## Private Attributes
std::string | _file
std::string | _func
unsigned | _line

## Friends
std::ostream & | operator<< (std::ostream &str, const CodeLocation &obj)
| relates: CodeLocation Stream output

## Detailed Description

Keep FILE, FUNCTION and LINE.

Construct it using the ZYPP_EX_CODELOCATION macro.

Definition at line 35 of file Exception.h.

## Constructor & Destructor Documentation

## ◆ CodeLocation() [1/4]

zypp::exception_detail::CodeLocation::CodeLocation | ( |  | ) |
| inline

Ctor.

Definition at line 40 of file Exception.h.

## ◆ ~CodeLocation()

zypp::exception_detail::CodeLocation::~CodeLocation | ( |  | ) |
| default

## ◆ CodeLocation() [2/4]

zypp::exception_detail::CodeLocation::CodeLocation | ( | const CodeLocation & |  | ) |
| default

## ◆ CodeLocation() [3/4]

zypp::exception_detail::CodeLocation::CodeLocation | ( | CodeLocation && |  | ) |
| default

## ◆ CodeLocation() [4/4]

zypp::exception_detail::CodeLocation::CodeLocation | ( | std::string | file_r,
|  | std::string | func_r,
|  | unsigned | line_r )
| inline

Ctor.

Definition at line 51 of file Exception.h.

## Member Function Documentation

## ◆ operator=() [1/2]

CodeLocation & zypp::exception_detail::CodeLocation::operator= | ( | const CodeLocation & |  | ) |
| default

## ◆ operator=() [2/2]

CodeLocation & zypp::exception_detail::CodeLocation::operator= | ( | CodeLocation && |  | ) |
| default

## ◆ asString()

std::string zypp::exception_detail::CodeLocation::asString | ( |  | ) | const

Location as string.

Definition at line 30 of file Exception.cc.

## Friends And Related Symbol Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | str,
|  | const CodeLocation & | obj )
| friend

relates: CodeLocation Stream output

Definition at line 38 of file Exception.cc.

## Member Data Documentation

## ◆ _file

std::string zypp::exception_detail::CodeLocation::_file
| private

Definition at line 61 of file Exception.h.

## ◆ _func

std::string zypp::exception_detail::CodeLocation::_func
| private

Definition at line 62 of file Exception.h.

## ◆ _line

unsigned zypp::exception_detail::CodeLocation::_line
| private

Definition at line 63 of file Exception.h.

The documentation for this struct was generated from the following files:

- zypp-core/base/Exception.h
- zypp-core/base/Exception.cc